#include <stdio.h>
#include <stdlib.h>
#include <libvirt/libvirt.h>
int main(int argc, char *argv[])
{
	virConnectPtr conn;
	char *host; // ȣƮ ̸
	virNodeInfo nodeinfo; // ȣƮ ڿ   ü
	
	conn = virConnectOpen("xen:///");
	if (conn == NULL) {
		fprintf(stderr, "Failed to open connection to xen:///\n");
	return 1;
	}

	host = virConnectGetHostname(conn);
	virNodeGetInfo(conn, &nodeinfo);
	
	fprintf(stdout, "Hostname:%s\n", host); // ȣƮ ̸ 	
	/* ڿ   */
	fprintf(stdout, "Model: %s\n", nodeinfo.model);
	fprintf(stdout, "Memory size: %lukb\n", nodeinfo.memory);
	fprintf(stdout, "Number of CPUs: %u\n", nodeinfo.cpus);
	fprintf(stdout, "MHz of CPUs: %u\n", nodeinfo.mhz);
	fprintf(stdout, "Number of NUMA nodes: %u\n", nodeinfo.nodes);
	fprintf(stdout, "Number of CPU sockets: %u\n", nodeinfo.sockets);
	fprintf(stdout, "Number of CPU cores per socket: %u\n", nodeinfo.cores);
	fprintf(stdout, "Number of CPU threads per core: %u\n", nodeinfo.threads);
	
	virConnectClose(conn);
	return 0;
}